
QGIS Application - Bug report #8199

raster interpolation bug

2013-06-30 11:25 AM - Kai Li

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17017

Description

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/kli/.qgis2/python/plugins/rasterinterpolation/gui/maindialog.py", line 111, in on_doButton_clicked

    self.writeInterpolation(f, fieldIdx, rasterInterpolator, vectorLayer, additionValue)

  File "/home/kli/.qgis2/python/plugins/rasterinterpolation/gui/maindialog.py", line 120, in writeInterpolation

    alt = interpolator.interpolate(thePoint)

  File "/home/kli/.qgis2/python/plugins/rasterinterpolation/core/rasterinterpolator.py", line 23, in 

    self.interpolate = lambda(thePoint): self.nearestNeighbor(thePoint)

  File "/home/kli/.qgis2/python/plugins/rasterinterpolation/core/rasterinterpolator.py", line 33, in nearestNeighbor

    alt = ident.results()[self.band].toDouble()[0]

AttributeError: 'float' object has no attribute 'toDouble'

Python version:

2.7.3 (default, Apr 10 2013, 06:31:07) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, exported

Python path: ['/usr/share/qgis/python/plugins/sextante', '/usr/share/qgis/python', '/home/kli/.qgis2/python',

'/home/kli/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/home/kli/.local/lib/python2.7/site-packages/StarCluster-0.9999-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/tappy-0.9.0-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/Baker-1.3-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/pyasn1-0.1.6-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/Rtree-0.7.0-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/decorator-3.4.0-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/workerpool-0.9.2-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/iptools-0.6.1-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/boto-2.9.6-py2.7.egg',

'/home/kli/.local/lib/python2.7/site-packages/paramiko-1.10.1-py2.7.egg', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/home/kli/.local/lib/python2.7/site-packages',

'/usr/lib/python2.7/dist-packages', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL',

'/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode',

'/usr/share/qgis/python/plugins/fTools/tools']
History

#1 - 2013-06-30 11:27 AM - Giovanni Manghi

- Status changed from Open to Feedback

it is a core or 3rd party plugin?

#2 - 2013-06-30 11:32 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

seems a 3rd party tool and the author prefers use the tracker on github rather then this, so you must file the ticket here

https://github.com/3nids/rasterinterpolation/issues
